# Asterisk Project : Asterisk 12 Application_ImportVar

Added by wikibot , edited by wikibot on Aug 29, 2013

# ImportVar()

### Synopsis

Import a variable from a channel into a new variable.

### Description

This application imports a variable from the specified channel (as opposed to the current one) and stores it as a variable (newvar) in the current channel (the channel that is calling this application). Variables created by this application have the same inheritance properties as those created with the `Set` application.

### Syntax

    ImportVar(newvarchannelnamevariable)

##### Arguments

- `newvar`
- `vardata`
  - `channelname`
  - `variable`

### See Also

- Asterisk 12 Application_Set

### Import Version

This documentation was imported from Asterisk Version Unknown